Package ru.bitel.bgbilling.modules.email.server.bean

# Class AccountManager

java.lang.Object
ru.bitel.bgbilling.modules.email.server.bean.AccountManager

public class AccountManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected int`
  `mid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `checkAccount(Account account)`
  Проверка наличия подобного аккаунта в БД.
  `void`
  `deleteAccount(int id)`
  Удаление аккаунта по его коду.
  `List<Account>`
  `findAccounts(String mask, int domainId)`
  Поиск аккаунтов в домене.
  `Account`
  `getAccountById(int id)`
  Получение аккаунта по его коду.
  `Account`
  `getAccountByID(int id)`
  Deprecated.
  `List<Account>`
  `getContractAccountList(int contractId)`
  Получение списка аккаунтов договора.
  `List<Account>`
  `getContractAccountList(int contractId, Date date)`
  `int`
  `getContractAccountsCount(int cid, Date date)`
  `List<Account>`
  `getNeedCloseAccountList(Date date)`
  `List<Account>`
  `getNeedOpenAccountList(Date date)`
  `protected String`
  `getTableName(int mid)`
  `void`
  `updateAccount(String id, Account account)`
  Deprecated.
  `void`
  `updateAccount(Account account)`
  Изменение/добавление аккаунта.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected Connection con

- ## Constructor Details

  - ### AccountManager

    public AccountManager(Connection con, int mid)

- ## Method Details

  - ### getTableName

    protected String getTableName(int mid)

  - ### getContractAccountsCount

    public int getContractAccountsCount(int cid, Date date)

  - ### getContractAccountList

    public List<Account> getContractAccountList(int contractId)
    Получение списка аккаунтов договора.
    Parameters:
      `contractId` - код договора
    Returns:

  - ### getContractAccountList

    public List<Account> getContractAccountList(int contractId, Date date)

  - ### findAccounts

    public List<Account> findAccounts(String mask, int domainId)
    Поиск аккаунтов в домене.
    Parameters:
      `mask` - подстрока с именем аккаунта
      `domainId` - код домена
    Returns:

  - ### checkAccount

    public String checkAccount(Account account)
    Проверка наличия подобного аккаунта в БД.
    Parameters:
      `account` -
    Returns:

  - ### getAccountByID

    @Deprecated public Account getAccountByID(int id)
    Deprecated.
    Использовать `getAccountByID(int)`
    Parameters:
      `id` -
    Returns:

  - ### getAccountById

    public Account getAccountById(int id)
    Получение аккаунта по его коду.
    Parameters:
      `id` -
    Returns:

  - ### updateAccount

    @Deprecated public void updateAccount(String id, Account account) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Использовать `updateAccount(Account)`.
    Parameters:
      `id` -
      `account` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccount

    public void updateAccount(Account account)
    Изменение/добавление аккаунта.
    Parameters:
      `account` -

  - ### deleteAccount

    public void deleteAccount(int id)
    Удаление аккаунта по его коду.
    Parameters:
      `id` -

  - ### getNeedOpenAccountList

    public List<Account> getNeedOpenAccountList(Date date)

  - ### getNeedCloseAccountList

    public List<Account> getNeedCloseAccountList(Date date)